Class aRelationKind

The king of a relation, returned by UmlBaseRelation::RelationKind()

Declaration :

- C++ : enum aRelationKind
- Java : public final class aRelationKind

Artifact : aRelationKind

Stereotype: enum_pattern

Items :

- anAssociation
- aDirectionalAssociation
- aGeneralisation
- anAggregation
- anAggregationByValue
- aDirectionalAggregation
- aDirectionalAggregationByValue
- aDependency
- aRealization